読者です 読者をやめる 読者になる 読者になる

Hello World

日頃のメモ

libpng16.16.dylibのやつ

tesseractとgnuplotを使おうとしたらエラー出た

$ gnuplot
dyld: Library not loaded: /usr/local/opt/libpng/lib/libpng16.16.dylib
  Referenced from: /usr/local/opt/gd/lib/libgd.3.dylib
  Reason: Incompatible library version: libgd.3.dylib requires version 40.0.0 or later, but libpng16.16.dylib provides version 38.0.0
[1]    75455 trace trap  gnuplot

$ tesseract
dyld: Library not loaded: /usr/local/opt/libpng/lib/libpng16.16.dylib
  Referenced from: /usr/local/opt/leptonica/lib/liblept.5.dylib
  Reason: Incompatible library version: liblept.5.dylib requires version 40.0.0 or later, but libpng16.16.dylib provides version 38.0.0
[1]    76230 trace trap  tesseract

以下のサイトのやつやったらできた!!
stackoverflow.com